import request from '@/utils/request'

// 查询检验项目维护列表
export function listProject(query) {
	return request({
		url: '/quality/project/list',
		method: 'get',
		params: query
	});
}

// 查询检验项目维护详细
export function getProject(id) {
	return request({
		url: '/quality/project/' + id,
		method: 'get'
		});
}

// 新增检验项目维护
export function addProject(data) {
	return request({
		url: '/quality/project',
		method: 'post',
		data: data
	});
}

// 修改检验项目维护
export function updateProject(data) {
	return request({
		url: '/quality/project',
		method: 'put',
		data: data
	});
}

// 删除检验项目维护
export function delProject(id) {
	return request({
		url: '/quality/project/' + id,
		method: 'delete'
	});
}
